<?php

// php.ini add line : extension="ext/php_gd2.dll"

// Windows: php.ini make sure  extension_dir = "ext"  and extension=gd 



function PhpGallery_Impl_LoadImage($imagefile)
{
	$ext=pathinfo($imagefile,PATHINFO_EXTENSION);
	switch(strtolower($ext))
	{
		case "png":
			return imagecreatefrompng($imagefile);
		case "gif":
			return imagecreatefromgif($imagefile);
		case "jpg":
		case "jpeg":
		default:
			return imagecreatefromjpeg($imagefile);//must install jpeg component , open php.ini , enable  extension=gd
	}
}

function PhpGallery_GetPhotoDimensions($imagefile)
{
	$img=PhpGallery_Impl_LoadImage($imagefile);
	$size=array();
	$size["Width"]=imagesx($img);
	$size["Height"]=imagesy($img);
	imagedestroy($img);
	return $size;
}
function PhpGallery_GenerateThumbnail($imagefile,$thumbpath,$width,$height)
{
	$img=PhpGallery_Impl_LoadImage($imagefile);
	$thumb=imagecreatetruecolor($width,$height);
	imagecopyresized($thumb,$img,0,0,0,0,$width,$height,imagesx($img),imagesy($img));
	imagejpeg($thumb,$thumbpath);
	imagedestroy($img);
	imagedestroy($thumb);
}

?>